Subject: RFC4821 - micro nits (fwd)

From: Matt Mathis <[email-masked]>
Date: Sun, 15 Apr 2007 15:25:16 -0400 (EDT)

Ooops, we all missed these....

I don't think these warrant errata, but that is your call..

Thanks,
--MM--
---------- Forwarded message ----------
Date: Sun, 15 Apr 2007 08:58:41 -0700
From: Ron Broersma <[email-masked]>
To: Matt Mathis <[email-masked]>
Subject: RFC4821 - micro nits

Matt,

I just finished reading 4821 cover to cover.  I found a couple typos, so
thought I would mention it in case you want to correct future versions:

   Since protocols that do not implement PLPMTUD are still subject to
   problems due to ICMP black holes, it may be desirable to limit to
   these protocols to "safe" MTUs likely to work on any path (e.g., 1280
   bytes).  Allow any protocol implementing PLPMTUD to operate over the
   full range supported by the lower layer.

There is an extra "to" in the first sentence.  It should read "...it may
be desirable to limit these protocols to safe MTUs....".

In the last one of the references at the end.....

   [frag-errors]   Heffner, J., "IPv4 Reassembly Errors at High Data
                   Rates", Work in Progress, December 2007.

The year is clearly wrong.

The rest of the document is very good.  Are you aware of any TCP
implementations that implement PLPMTUD, or even any diagnostic tools
that might simulate its behavior similar to how tracepath might test
PMTUD?  I think I would like to experiment with this a bit, especially
over some links where we are having "issues".

--Ron

Ron Broersma
DREN Chief Engineer
[email-masked]
619-553-2293 (office)
619-204-2293 (mobile)